/*  --- Copyright University of Sussex 1990. All rights reserved. ----------
 >  File:			$poplocal/local/plog/lib/append.pl
 >  Purpose:		Standard definition of append, from libary(useful).
 >  Author:         Aaron Sloman Mon Mar  1 20:05:34 GMT 1993
 >  Documentation:	PLOGHELP * USEFUL
 */

;;; append(List1, List2, List3) :-
;;;		succeeds whenever List3 is the concatenation of List1 and List2

append([], List, List).
append([X|List1], List2, [X|List3]) :-
	append(List1, List2, List3).
