fillintime:-
    menu(['How do you fill in time whilst waiting for the class to arrive?',
          [a,'I sit and wait',1],
          [b,'I try to look busy',2],
          [c,'I finish getting things ready for the lesson',2],
          [d,'I talk to the pupils as they arrive',3],
          [e,'I get pupils involved in handing out books and homework',3],
          [e,'I get those who have arrived into thinking about the work we will be covering that lesson',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[fillintime,false],REF1);
     VALUE = 2,
     recorda(data,[fillintime,false],REF1);
     VALUE = 3,
     recorda(data,[fillintime,true],REF1)).


fitworktosit:-
    menu(['Do you make special arrangements for changing class population?',
            [a,'Yes',1],
            [b,'No',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[fitworktosit,true],REF1);
     VALUE = 2,
     recorda(data,[fitworktosit,false],REF1)).


classgivenwork:-
    menu(['What work had the class been given to do?',
          [a,'They had not been given any work as yet',1],
          [b,'You were waiting for them to settle down before carrying on',2],
          [c,'You were waiting for silence',2],
          [d,'They had been given some work to get on with on their own or in groups',3],
          [e,'They were meant to be listening to you',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classgivenwork,false],REF1);
     VALUE = 2,
     recorda(data,[classgivenwork,false],REF1);
     VALUE = 3,
     recorda(data,[classgivenwork,true],REF1)).


taskapprobehavactive:-
    menu(['Did the activity involve the pupils in taking part themselves?',
          [a,'yes, they performed tasks themselves',1],
          [b,'no, they were expected to listen',2],
          [c,'don`t know',3]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[taskapprobehavactive,true],REF1);
     VALUE = 2,
     recorda(data,[taskapprobehavactive,false],REF1);
     VALUE = 3,
     explainactive).                    

explainactive:-
    print('Things like getting the pupils to answer questions, or to write on the board, involves the pupils in doing things; or activities like practical work, group work or individual work have the same affect'),nl,
    print('Please attempt to answer the question.'),
    taskapprobehavactive.

feedbackonperf:-
    menu(['Did you provide the pupils with any feedback on how well they were doing?',
          [a,'yes',1],
          [b,'no',2]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[feedbackonperf,true],REF1);
     VALUE = 2,
     recorda(data,[feedbackonperf,false],REF1)).

indivattn:-
    menu(['Did the pupils get any help with their work at an individual level?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[indivattn,true],REF1);
     VALUE = 2,
     recorda(data,[indivattn,false],REF1);
     VALUE = 3,
     recorda(data,[indivattn,false],REF1)).

tunfamilsubjmat:-
    menu(['What materials did you call upon in presenting the subject matter?',
          [a,'a variety, e.g. books, visual aids, personal knowledge, etc.',1],
          [b,'reading from the relevant section of a standard textbook only',2],
          [c,'your own presentation',1],
          [d,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[tunfamilsubjmat,false],REF1);
     VALUE = 2,
     recorda(data,[tunfamilsubjmat,true],REF1);
     VALUE = 3,
     recorda(data,[tunfamilsubjmat,false],REF1)).

    pupilinvestment.

interesting:-
    menu(['To what extent was the work of interest to the pupils?',  
          [a,'It was very relevant to their interests',1],
          [b,'It is not what they are familiar with',2],
          [c,'don`t know',2]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[interesting,true],REF1);
     VALUE = 2,
     recorda(data,[interesting,false],REF1)).

relevance:-
    menu(['How relevant was the material to the pupils?',
          [a,'very relevant',1],
          [b,'not very relevant',2],
          [c,'don`t know',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[relevance,true],REF1);
     VALUE = 2,
     recorda(data,[relevance,false],REF1)).

anxietyprovk:-
    menu(['Do the pupils find the work especially difficult to cope with?',
          [a,'no, they find it easy and lots of fun',1],
          [b,'no, it poses no special problems - they can all do it',1],
          [c,'yes, some of them worry about not being able to do the work',2],
          [d,'yes, some pupils find the work quite difficult',2],
          [e,'don`t know',1]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[anxietyprovk,true],REF1);
     VALUE = 2,
     recorda(data,[anxietyprovk,false],REF1)).

tenthus:-
    menu(['How interested were you in the subject matter and activities yourself',
          [a,'I really enjoy teaching this subject',1],
          [b,'its quite interesting',1],
          [c,'I`ve done it rather too many times now',2],
          [d,'it is not my favourite subject',2],
          [e,'don`t know',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[tenthus,true],REF1);
     VALUE = 2,
     recorda(data,[tenthus,false],REF1)).

experachievement:-
    menu(['Do you tell the pupils when they have done well?',
          [a,'yes',1],
          [b,'no',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[experachievement,true],REF1);
     VALUE = 2,
     recorda(data,[experachievement,false],REF1)).

    senseofprogress.

delaysinlssn:-
    menu(['How did the lesson progress',  
          [a,'very slowly, there were interuptions and all sorts of false starts',1],
          [b,'reasonably well, but some pupils were holding back others',1],
          [c,'at a reasonable pace, allowing pupils to get on',2],
          [d,'at a good pace with us covering a fair amount of work',2],
          [e,'don`t know',1]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[delaysinlssn,true],REF1);
     VALUE = 2,
     recorda(data,[delaysinlssn,false],REF1)).

challenge:-
    menu(['To what extent were the pupils challenged by the work',
          [a,'the work requires a skill such as reading, at which they are proficient',1],
          [b,'the work went beyond what they had done before',2]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[challenge,false],REF1);
     VALUE = 2,
     recorda(data,[challenge,true],REF1)).

tsndsserious:-
    menu(['Do you follow up you demands for silence etc. with a change in expection that the class comply?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[tsndsserious,true],REF1);
     VALUE = 2,
     recorda(data,[tsndsserious,false],REF1);
     VALUE = 3,
     recorda(data,[tsndsserious,false],REF1)).

tinsincere:-
    menu(['Did you appear to care whether the pupils complied with your demands?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[tinsincere,false],REF1);
     VALUE = 2,
     recorda(data,[tinsincere,true],REF1);
     VALUE = 3,
     recorda(data,[tinsincere,false],REF1)).

tineffective:-
    menu(['Do you allow children to play up and get away with it?',  
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ], VALUE),
    (VALUE = 1,
     recorda(data,[tineffective,true],REF1);
     VALUE = 2,
     recorda(data,[tineffective,false],REF1);
     VALUE = 3,
     recorda(data,[tineffective,false],REF1)).


signalclass:-
    menu(['Did you signal to the class that you wanted their attention?',
            [a,'Yes, I did something to attract their attention',1],
            [b,'No, I just began teaching',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[signalclass,true],REF1);
     VALUE = 2,
     recorda(data,[signalclass,false],REF1)).

signalworked:-
    menu(['Did the class respond to your signal?',
            [a,'Yes, they responded and so I began',1],
            [b,'Yes, most of them responded so I took the opportunity to get on',1],
            [c,'No, only a few took any notice',2],
            [d,'No, the class did not seem to hear me',2]
          ],VALUE),
    (VALUE = 1,
     recorda(data,[signalworked,true],REF1);
     VALUE = 2,
     recorda(data,[signalworked,false],REF1)).

classawaretdes:-
    menu(['Had the class been given any instructions about the work they had to do?',
          [a,'Yes, they were quite familiar from past experience with what was expected of them',1],
          [b,'Yes, to my knowledge they were familiar with what to do, but I cannot be sure',3],
          [c,'Yes, they had been given instructions about what to do',1],
          [d,'No, they had not been given any instructions about what to do',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classawaretdes,true],REF1);
     VALUE = 2,
     recorda(data,[classawaretdes,false],REF1);
     VALUE = 3,
     recorda(data,[classawaretdes,false],REF1)).


noinstructions:-
    menu(['Had you given the class any instructions?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[noinstructions,false],REF1);
     VALUE = 2,
     recorda(data,[noinstructions,true],REF1);
     VALUE = 3,
     recorda(data,[noinstructions,true],REF1)).

attendinstructions:-
    menu(['Were the class paying attention when you gave instructions',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[attendinstructions,true],REF1);
     VALUE = 2,
     recorda(data,[attendinstructions,false],REF1);
     VALUE = 3,
     recorda(data,[attendinstructions,false],REF1)).



disjpres:-
    menu(['Was the material presented to the class disjointedly?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[disjpres,true],REF1);
     VALUE = 2,
     recorda(data,[disjpres,false],REF1);
     VALUE = 3,
     recorda(data,[disjpres,true],REF1)).


matdiff:-
    menu(['Were the pupils able to cope with the work you were giving them?',
    [a,'they appeared to have no problems with the work itself',1],
    [b,'the majority of the class were having no problems with the work',1],
    [c,'some pupils seemed unable to get to grips with the work',2],
    [d,'most of the pupils seemed to be experiencing difficulties',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[matdiff,true],REF1);
     VALUE = 2,
     recorda(data,[matdiff,false],REF1)).

/*
    menu(['Was the material too difficult for the pupils?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
*/
pastexperience:-
    menu(['Was the work you were presenting building upon past experience?',
    [a,'we were covering new material',1],
    [b,'we were not covering new material at this point',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[pastexperience,true],REF1);
     VALUE = 2,
     recorda(data,[pastexperience,false],REF1)).

lrnneeds:-
    menu(['Has account been taken of the pupils` learning needs in apprehending the new material?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[lrnneeds,true],REF1);
     VALUE = 2,
     recorda(data,[lrnneeds,false],REF1);
     VALUE = 3,
     recorda(data,[lrnneeds,false],REF1)).

approcontent:-
    menu(['How appropriate was the content of the material for the ability level of the pupils?',
        [a,'the work was probably alot easier than they were capable of',1],
        [b,'the work is no more difficult than usual',1],
        [c,'the work may be challenging but is within the class`s ability',1],
        [d,'this work is more difficult than they are used to',2],
        [e,'I would not expect the class to be able to do this work',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[approcontent,true],REF1);
     VALUE = 2,
     recorda(data,[approcontent,false],REF1)).

approtask:-
    menu(['How difficult was the task for the pupils level of experience?',
        [a,'they know this technique backwards',1],
        [b,'the task was relatively straightforward',1],
        [c,'the task was new but not beyond the class`s ability',1],
        [d,'this task is more difficult than they are used to',2],
        [e,'this was a difficult task for this class']
         ],VALUE),
    (VALUE = 1,
     recorda(data,[approtask,true],REF1);
     VALUE = 2,
     recorda(data,[approtask,false],REF1)).

 unfamilarea:-
    menu(['Are pupils familiar with this subject area?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[unfamilarea,false],REF1);
     VALUE = 2,
     recorda(data,[unfamilarea,true],REF1);
     VALUE = 3,
     recorda(data,[unfamilarea,true],REF1)).


chkpsundstd:-
    menu(['Do you ensure pupils have understood before moving on?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[chkpsundstd,true],REF1);
     VALUE = 2,
     recorda(data,[chkpsundstd,false],REF1);
     VALUE = 3,
     recorda(data,[chkpsundstd,false],REF1)).

asspundstd:-
    menu(['Do you employ an adequate strategy for assessing understanding?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[asspundstd,true],REF1);
     VALUE = 2,
     recorda(data,[asspundstd,false],REF1);
     VALUE = 3,
     recorda(data,[asspundstd,false],REF1)).

impassundstd:-
    menu(['Are you evaluating pupil understanding accurately',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[impassundstd,true],REF1);
     VALUE = 2,
     recorda(data,[impassundstd,false],REF1);
     VALUE = 3,
     recorda(data,[impassundstd,false],REF1)).

widepvari:-
    menu(['Does the rate at which pupils work vary widely?',  
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[widepvari,true],REF1);
     VALUE = 2,
     recorda(data,[widepvari,false],REF1);
     VALUE = 3,
     recorda(data,[widepvari,true],REF1)).


timeelapsed:-
    menu(['Had much time elapsed since the pupils covered preliminary work?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[timeelapsed,true],REF1);
     VALUE = 2,
     recorda(data,[timeelapsed,false],REF1);
     VALUE = 3,
     recorda(data,[timeelapsed,true],REF1)).

workbeyondexper:-
    menu(['Do you feel that the work went too far beyond the previous experience of the class?',
    [a,'they seemed to lack the basic background knowledge',1],
    [b,'they have the basic prerequisite knowledge they need',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[workbeyondexper,true],REF1);
     VALUE = 2,
     recorda(data,[workbeyondexper,false],REF1)).

adeqrecall:-
    menu(['Were the pupils able to recall what they had previously learnt?',
          [a,'they seemed unable to remember work they had covered in the past',1],
          [b,'they had no problems remembering what they had done previously',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[adeqrecall,false],REF1);
     VALUE = 2,
     recorda(data,[adeqrecall,true],REF1)).

prelimwork:-
    menu(['Had pupils covered the necessary preliminary work?',
          [a,'yes',1],
          [b,'no',2],
          [c,'don`t know',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[prelimwork,true],REF1);
     VALUE = 2,
     recorda(data,[prelimwork,false],REF1);
     VALUE = 3,
     recorda(data,[prelimwork,false],REF1)).

workproblem:-
    menu(['To what extent do you think the work you were doing was the problem?',
        [a, 'I think it is the root of the problem',1],
        [b, 'It could be contributing to the problem',1],
        [c, 'I dont think the problem lies with the work at all',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[workproblem,true],REF);
     VALUE = 2,
     recorda(data,[workproblem,false],REF);
     VALUE = 3,
     recorda(data,[workproblem,false],REF)).

directedtopic:-
    menu(['Who decided what work you should be doing in this lesson?',
        [a, 'I decided on the topic',1],
        [b, 'I was following the syllabus',2],
        [c, 'There was set work for the lesson given to me to do',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[directedtopic,true],REF);
     VALUE = 2,
     recorda(data,[directedtopic,false],REF)).

workdifficult:-
    menu(['How appropriate was the content of the material for the ability level of the pupils?',
    [a,'It posed no real difficulty',1],
    [b,'The class should be able to cope with this level of difficulty',1],
    [c,'I think it was too difficult for some members of the class',2],
    [d,'The work went beyond what the class could cope with at this stage',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[workdifficult,false],REF);
     VALUE = 2,
     recorda(data,[workdifficult,true],REF)).

taskdifficult:-
    menu(['How difficult was the task for the pupils level of experience?',
    [a,'the task was quite difficult compared to what theyve done before',1],
    [b,'the pupils found the task relatively straightforward',2],
    [c,'the pupils had done this before and were quite at ease with it',2],
    [d,'the pupils have done this before but still find it difficult',1]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[taskdifficult,true],REF);
     VALUE = 2,
     recorda(data,[taskdifficult,false],REF)).
