problemwithclass:-
    menu(['To what extent did the situation you encountered concern the whole class?',
          [a,'the situation concerned the class as a whole',1],
          [b,'the situation concerned random scattered individuals',1],
          [c,'the situation concerned a particular group of pupils',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[problemwithclass,true],REF1);
     regulartmkrs).

regulartmkrs:-
    menu(['To what extent are these individuals a regular source of concern?',
          [a,'they are a regular source of concern in all my lessons with them',1],
          [b,'they are usually a source of concern and other teachers find so too',1],
          [c,'they have not really been a source of concern before',2]
         ],VALUE),
    (VALUE  = 1,
     recorda(data,[problemwithclass,false],REF1);
     VALUE = 2,
     recorda(data,[problemwithclass,true],REF1)).


secondchance:-
    fileinfo([problemwithclass,false],advice),!,
    menu(['Would you like the opportunity to answer this question again?',
            [a,'yes, I would like to revise my answer',1],
            [b,'no, I am satisfied with the response I gave',2]
         ],VALUE),
    (VALUE = 1,
     foreach(recorded(data,[problemwithclass,false],REF1),
     erase(REF1)),
     foreach(recorded(goal,[advicegiven,false],REF2),
     erase(REF2)),
     problemwithclass;
     VALUE = 2,
     recorda(data,[advicegiven,true],REF3)).

classbehavwastaskappro:-
    menu(['Earlier in the lesson, to what extent had the class been behaving in a way you thought was appropriate for the activity they were engaged in?',
          [a,'Their behaviour had not been presenting any difficulties',1],
          [b,'The class had not been doing what was wanted of them ',2],
          [c,'The class had been going only part way towards doing what was wanted of them',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classbehavwastaskappro,true],REF);
     VALUE = 2,
     recorda(data,[classbehavwastaskappro,false],REF);
     VALUE = 3,
     recorda(data,[classbehavwastaskappro,false],REF)).

classbehavtaskappro:-
    menu(['To what extent were you having problems controlling this class?',                    
    [a,'The class are working and doing what I want them to do',1],
    [b,'The class are working but not doing what I want them to do',2],
    [c,'The class are doing some work but only what they want/not all of it',2],
    [d,'The class are not getting any work done at all',2]
    ],VALUE),
    (VALUE = 1,
     recorda(data,[classbehavtaskappro,true],REF);
     VALUE = 2,
     recorda(data,[classbehavtaskappro,false],REF)).

teachhelpneeded:-
    menu(['How would you characterise lessons with this class?',
        [a,'The class is not really doing what I want, and I would like help with this!',1],
        [b,'Most of the time the class is doing what I want, but I would like some help with class control',1],
        [c,'The class is doing basically what I want but I would like to take them further',2],
        [d,'The group is willing to learn and I feel I should take the opportunity to do more with them',2]
        ],VALUE),
    (VALUE = 1,
     recorda(data,[teachhelpneeded,false],REF);
     VALUE = 2,
     recorda(data,[teachhelpneeded,true],REF)).

/*
classbehavtaskappro:-
    menu(['How closely did the class behaviour correspond to what you wanted?',
          [a,'It was close enough not to present any difficulties',1],
          [b,'The class were not really doing what I wanted',2],
          [c,'The class were only going part way towards doing what I wanted',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classbehavtaskappro,true],REF);
     VALUE = 2,
     recorda(data,[classbehavtaskappro,false],REF);
     VALUE = 3,
     recorda(data,[classbehavtaskappro,false],REF)).

*/
/*
classwasdisruptive:-
    menu(['In the earlier part of the lesson, to what extent had the behaviour of the class been disruptive?',
          [a,'Their behaviour had been preventing the lesson from continuing',1],
          [b,'Their behaviour had been making it difficult for the lesson to progress',1],
          [c,'Classroom interruptions had really been an annoyance rather than a serious problem',2],
          [d,'There had been no interruptions to speak of',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classwasdisruptive,true],REF);
     VALUE = 2,
     recorda(data,[classwasdisruptive,false],REF)).

classisdisruptive:-
    menu(['To what extent did the behaviour of the class disrupt the lesson?',
          [a,'Their behaviour prevented the lesson from continuing',1],
          [b,'Their behaviour made if very difficult for the lesson to progress',1],
          [c,'Classroom interruptions were an annoyance rather than a serious problem',2],
          [d,'The behaviour of the class caused no interruptions to speak of',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classisdisruptive,true],REF);
     VALUE = 2,
     recorda(data,[classisdisruptive,false],REF)).          

*/

classisdisruptive:-
    natureofclass.

natureofclass:-
    menu(['What is it like to teach this class?',
        [a,'They are constantly disrupting the lesson, making it difficult to teach',1],
        [b,'They are okay when they are working but as soon as I want their attention for something else they get out of hand again',2],
        [c,'There are the occasional disruptions but they are relatively well contained',3],
        [d,'Their behaviour does not really interfere with the flow of the lesson',3]
        ],VALUE),
    (VALUE = 1,
     recorda(data,[classisdisruptive,true],REF1),
     recorda(data,[classwasdisruptive,true],REF2);
     VALUE = 2,
     recorda(data,[classisdisruptive,true],REF1),
     recorda(data,[classwasdisruptive,false],REF2);
     VALUE = 3,
     recorda(data,[classisdisruptive,false],REF1),
     recorda(data,[classwasdisruptive,false],REF2)).

classwasawaretdes:-
    menu(['Earlier in the lesson, had the class been aware of what was expected of them during the activity which had been taking place?',
          [a,'Yes, they were quite familiar from past experience with what was expected of them',1],
          [b,'Yes, to my knowledge they were familiar with what to do, but I cannot be sure',3],
          [c,'Yes, they had been given instructions about what to do',1],
          [d,'No, they had not been given any instructions about what to do',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[classwasawaretdes,true],REF);
     VALUE = 2,
     recorda(data,[classwasawaretdes,false],REF);
     VALUE = 3,
     recorda(data,[classwasawaretdes,false],REF)).          

signsofknowing:-
    menu(['What indication did the class give that they were aware of what they should be doing?',
          [a,'They seemed quite familiar with what was expected of them and were getting on',1],
          [b,'Some of them seemed sure about what they were doing, but some looked bewildered',2],
          [c,'They did not appear to know what they should be doing',3],
          [d,'They kept asking questions about  what they were meant to be doing',3]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[signsofknowing,true],REF);
     VALUE = 2,
     recorda(data,[signsofknowing,false],REF);
     VALUE = 3,
     recorda(data,[signsofknowing,false],REF)).          

priorinstructions:-
    menu(['Were the class aware of what was expected of them when they came in?',
          [a,'Yes, they were quite familiar from past experience with what was expected of them',1],
          [b,'Yes, to my knowledge they were familiar with what to do, but I cannot be sure',3],
          [c,'Yes, they had already been given instructions about what to do',1],
          [d,'No, they had not been given any instructions about what to do',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[priorinstructions,true],REF);
     VALUE = 2,
     recorda(data,[priorinstructions,false],REF);
     VALUE = 3,
     recorda(data,[priorinstructions,false],REF)).


taskwaschanged:-
    menu(['Had the nature of the task the class had been engaged in before, changed in any way? ',
          [a,'no, the activity had not been changed in any way',1],
          [b,'yes, there had been a change in what the class had been expected to do',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[taskwaschanged,false],REF);
     VALUE = 2,
     recorda(data,[taskwaschanged,true],REF)).          

taskchanged:-
    menu(['Had the nature of the activity you were undertaking with the class changed in any way?',
          [a,'no, the activity had not changed in any way',1],
          [b,'yes, there had been a change in what the class were expected to do',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[taskchanged,false],REF);
     VALUE = 2,
     recorda(data,[taskchanged,true],REF)).

understanding:-
    menu(['Had the pupils achieved the level of understanding you expected?',
            [a,'They appeared to have no problems understanding the work',1],
            [b,'The ability of the class is widespread, but pupils seemed to gain the understanding they needed',1],
            [c,'The majority of the class understood the work, and no one was seriously behind',1],
            [d,'Some pupils seemed unable to get to grips with the work',2],
            [e,'A large proportion of the pupils were having difficulty understanding the work',2],
            [f,'No one really seemed to grasp a good understanding of the work',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[understanding,true],REF);
     VALUE = 2,
     recorda(data,[understanding,false],REF)).

wasunderstanding:-
    menu(['Earlier in the lesson, how well were the pupils achieving the level of understanding you expected?',
            [a,'They had appeared to have had no problems understanding the work',1],
            [b,'The ability of the class is widespread, but pupils had seemed to gain the understanding they had needed',1],
            [c,'The majority of the class had understood the work, and no one had been seriously behind',1],
            [d,'Some pupils had seemed unable to get to grips with the work',2],
            [e,'A large proportion of the pupils had had difficulty understanding the work',2],
            [f,'No one really had seemed to grasp a good understanding of the work',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[wasunderstanding,true],REF);
     VALUE = 2,
     recorda(data,[wasunderstanding,false],REF)).

priorknowledge:-
    menu(['To what extent had pupils acquired prerequisite knowledge',
          [a, 'they had covered the necessary material quite recently',1],
          [b, 'they had covered the work, but some time ago',2],
          [c, 'they may not have covered the necessary work',3]
         ], VALUE1),
    (VALUE1 = 1,
     recorda(data,[priorknowledge,true],REF);
     VALUE1 = 2,
     recorda(data,[priorknowledge,false],REF);
     VALUE1 = 3,
     recorda(data,[priorknowledge,false],REF)),

    menu(['To what extent had pupils acquired prerequisite knowledge',
          [a, 'they had covered the necessary material quite recently',1],
          [b, 'they had covered the work, but some time ago',2],
          [c, 'they may not have covered the necessary work',3]
         ], VALUE2),
    (VALUE2 = 1,
     recorda(data,[waspriorknowledge,true],REF);
     VALUE2 = 2,
     recorda(data,[waspriorknowledge,false],REF);
     VALUE2 = 3,
     recorda(data,[waspriorknowledge,false],REF1),
     recorda(data,[prcontc,true],REF2)).                     

previouswork:-
    menu(['What signs did the class show of being able to recall previous work?',
            [a,'What they were being taught did not require recalling previous work',1],
            [b,'They showed every indication that they recalled what had been previously covered',1],
            [c,'They seemed able to recall what was needed for the purposes of the activity',1],
            [d,'They showed signs of finding it difficult to recall what was needed',2],
            [e,'They did not seem able to recall what they had covered previously, at all',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[previouswork,true],REF);
     VALUE = 2,
     recorda(data,[previouswork,false],REF)).          

waspreviouswork:-
    menu(['Earlier in the lesson, what signs had the class shown of being able to recall previous work?',
            [a,'What they were being taught did not require recalling previous work',1],
            [b,'They had shown every indication that they had recalled what had been previously covered',1],
            [c,'They had seemed able to recall what was needed for the purposes of the activity',1],
            [d,'They had shown signs of finding it difficult to recall what had been needed',2],
            [e,'They had not seemed able to recall what they had covered previously, at all',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[waspreviouswork,true],REF);
     VALUE = 2,
     recorda(data,[waspreviouswork,false],REF)).          

startoflesson:-
    menu(['When did the situation you are concerned about occur?',
            [a,'When the class were still coming in or had just come in',1],
            [b,'When getting the lesson started',1],
            [c,'After I had begun to teach',2],
            [d,'During the main part of the lesson',2],
            [e,'As the lesson was finishing',2]
         ],VALUE),
    (VALUE = 1,
      recorda(data,[startoflesson,true],REF);
     VALUE = 2,
      recorda(data,[startoflesson,false],REF)).          

triedstartlesson:-
    menu(['Had you decided to get the lesson started?',
            [a,'Yes, I decided to get the lesson underway',1],
            [b,'No, I had decided against beginning work at this point',2]
         ],VALUE),
    (VALUE = 1,
     recorda(data,[triedstartlesson,true],REF);
     VALUE = 2,
     recorda(data,[triedstartlesson,false],REF)).          
