% This interprets Chat-80.

:- library(dec10).      ;;; dangerplog!
chat :- hi.             ;;; give an obvious name

:- op(900,fy,not).
:- prolog_memlim(500000).

:- [       '$poplocal/local/plog/lib/chat/xgrun',        % XG runtimes
           '$poplocal/local/plog/lib/chat/newg'  ].      % clone + lex

:- [       '$poplocal/local/plog/lib/chat/clotab',       % attachment tables
           '$poplocal/local/plog/lib/chat/newdic',       % syntactic dictionary
           '$poplocal/local/plog/lib/chat/portra',       % portray fancy structures
           '$poplocal/local/plog/lib/chat/slots',        % fits arguments into predicates
           '$poplocal/local/plog/lib/chat/scopes',       % quantification and scoping
           '$poplocal/local/plog/lib/chat/templa',       % semantic dictionary
           '$poplocal/local/plog/lib/chat/qplan',        % query planning
           '$poplocal/local/plog/lib/chat/talkr',        % query evaluation
           '$poplocal/local/plog/lib/chat/ndtabl'  ].    % relation info.

:-[        '$poplocal/local/plog/lib/chat/readin.pl',    % sentence input
           '$poplocal/local/plog/lib/chat/ptree.pl',     % print trees
           '$poplocal/local/plog/lib/chat/aggreg'  ].    % aggregation operators

:- prolog_lock_code.
:- prolog_no_clauses.

:- [       '$poplocal/local/plog/lib/chat/world0',       % data base
           '$poplocal/local/plog/lib/chat/rivers',
           '$poplocal/local/plog/lib/chat/cities',
           '$poplocal/local/plog/lib/chat/countr',
           '$poplocal/local/plog/lib/chat/contai',
           '$poplocal/local/plog/lib/chat/border'].

:- [        '$poplocal/local/plog/lib/chat/newtop',
            '$poplocal/local/plog/lib/chat/ppqua'].     % top level
